# MeshCreateGlobalVector

Creates a vector of the correct size to be gathered into by the mesh.

### Synopsis

    #include "petscmesh.h"
    PetscErrorCode PETSCDM_DLLEXPORT MeshCreateGlobalVector(Mesh mesh, Vec *gvec)

Collective on Mesh

### Input Parameter

mesh -the mesh object

### Output Parameters

gvec -the global vector

Notes: Once this has been created you cannot add additional arrays or vectors to be packed.

### See Also

MeshDestroy(), MeshCreate(), MeshGetGlobalIndices()

Level:advanced
Location: src/dm/mesh/mesh.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages